Skip to main content
GET
/
api
/
v1
/
chat
/
sessions
/
{session_id}
/
messages
List Messages
curl --request GET \
  --url https://api.example.com/api/v1/chat/sessions/{session_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "messages": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "role": "<string>",
      "content": [
        {}
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "tool_calls": [
        "<unknown>"
      ],
      "agent_slug": "<string>",
      "agent_display_name": "<string>"
    }
  ],
  "total": 123,
  "has_more": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

Paginated list of chat messages.

messages
ChatMessageResponse · object[]
required
total
integer
required
has_more
boolean
required